/** @format */

@import "./colors.module.scss";

// brand colors
.primary {
  --base-color: #{$b50};
  --base-highlight: #{$b60};
}

.secondary {
  --base-color: #{$b50};
  --base-highlight: #{$b60};
}

.complementary {
  --base-color: #{$y50};
  --base-highlight: #{$y60};
}

// intents
.impulsive {
  --base-color: #{$r50};
  --base-highlight: #{$r60};
}

.hungry {
  --base-color: #{$y50};
  --base-highlight: #{$y60};
}

.success {
  --base-color: #{$g50};
  --base-highlight: #{$g60};
}

// weight
.emphasized {
  --base-color: #{$d60};
  --base-highlight: #{$d70};
}

.neutral {
  --base-color: #{$d50};
  --base-highlight: #{$d60};
}

.muted {
  --base-color: #{$d40};
  --base-highlight: #{$d50};

  //unsettled:
  --bg-topping: #{$b20};
  --bg-topping-highlight: #{$b30};
}
